from odoo import models, fields, api
from odoo.exceptions import UserError, ValidationError,Warning


class event_media_link(models.Model):
    _name = 'event.media.link'
    _description = 'event media link'

    date_recording = fields.Date('Recording date')
    start_time_recording = fields.Float('Recording start time')
    link = fields.Char('Link')
    format_recording =fields.Selection(string='Format',selection=[('audio','audio'),('video','video')],required=True, default='video')
    duration=fields.Float('Duration')
    description=fields.Char('Description')
    event_id=fields.Many2one('event.event')

    